// FontHelper.h: interface for the CFontHelper class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FONTHELPER_H__3531CD81_6E6F_11D2_A0AC_00A0C94CB8B3__INCLUDED_)
#define AFX_FONTHELPER_H__3531CD81_6E6F_11D2_A0AC_00A0C94CB8B3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFontHelper : public CObject
{
// construction/destruction
public:
   CFontHelper();
   CFontHelper(LPCTSTR szSection, LPCTSTR szEntry);
   ~CFontHelper();

// public interface
public:
   // 1. data access 
   HFONT CreateFont();
   LOGFONT GetLogFont(LOGFONT& LogFont) { return m_LogFont; }
   HFONT GetFontHandle() { return m_hFont; }
   
   // 2. save/restore
   void Save();
   void Restore();
   void SetSectionName(LPCTSTR szSection);
   void SetEntryName(LPCTSTR szEntry);

   // 3. Windows common font picker dialog
   BOOL ChooseFont();

// internal helpers
protected:
   // 4. default font 
   void DefaultFontInit();
   void DefaultInit();

// internal members
protected:
   HFONT    m_hFont;
   LOGFONT  m_LogFont;
   CString  m_szSection;
   CString  m_szEntry;
};


#endif // !defined(AFX_FONTHELPER_H__3531CD81_6E6F_11D2_A0AC_00A0C94CB8B3__INCLUDED_)
