// Module.h: interface for the CModule class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MODULE_H__F923BB63_6CF0_11D2_A0A6_00A0C94CB8B3__INCLUDED_)
#define AFX_MODULE_H__F923BB63_6CF0_11D2_A0A6_00A0C94CB8B3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CModule : public CObject
{
DECLARE_DYNCREATE(CModule)
	
	// constructor/destructor
private:
   CModule();

public:
   CModule(HMODULE hModule, LPCSTR szFilename);
   virtual ~CModule();

// access members
   const HMODULE GetModuleHandle() const  { return m_hModule; }
   const CString& GetModuleName() const   { return m_szFilename; }

// internal members
protected:
   HMODULE  m_hModule;
   CString  m_szFilename;

// debug helpers
public:
#ifdef _DEBUG
   virtual void AssertValid() const;
   virtual void Dump(CDumpContext& dc) const;
#endif
};

//CModuleList declaration
#define MAX_MODULES  1024


//CModuleList declaration
class CModuleList : public CObject 
{
DECLARE_DYNCREATE(CModuleList)

// constructor/destructor
public:
   CModuleList();
   virtual ~CModuleList();

// public interface 
public:
   void Refresh(HANDLE hProcess);
   int GetCount();
   CModule* GetFirst(int& pos);
   CModule* GetNext(int& pos);

// internal helpers
protected:
   void FreeModuleArray();

// internal members
protected:
   CObArray m_ModuleArray;
};

#endif // !defined(AFX_MODULE_H__F923BB63_6CF0_11D2_A0A6_00A0C94CB8B3__INCLUDED_)


